Bug 179163 - [UPDATE] lang/scheme48 1.8 -> 1.9
Summary: [UPDATE] lang/scheme48 1.8 -> 1.9
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Wen Heping
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-01 04:20 UTC by lichray
Modified: 2013-06-20 02:01 UTC (History)
0 users

See Also:


Attachments
scheme48-1.9.patch (20.95 KB, patch)
2013-06-01 04:20 UTC, lichray
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description lichray 2013-06-01 04:20:00 UTC
	
	http://www.s48.org/1.9/release-notes.html

	I'm going to maintain this.
Comment 1 Wen Heping freebsd_committer 2013-06-03 02:35:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wen

I'll take it.
Comment 2 dfilter service freebsd_committer 2013-06-20 01:59:30 UTC
Author: wen
Date: Thu Jun 20 00:59:21 2013
New Revision: 321343
URL: http://svnweb.freebsd.org/changeset/ports/321343

Log:
  - Update to 1.9
  - Pass maintainership to submitter
  - Trim Makefile headers
  
  PR:		179163
  Submitted by:	Zhihao Yuan <lichray@gmail.com> (maintainer)

Modified:
  head/lang/scheme48/Makefile
  head/lang/scheme48/distinfo
  head/lang/scheme48/pkg-plist

Modified: head/lang/scheme48/Makefile
==============================================================================
--- head/lang/scheme48/Makefile	Wed Jun 19 23:51:05 2013	(r321342)
+++ head/lang/scheme48/Makefile	Thu Jun 20 00:59:21 2013	(r321343)
@@ -1,29 +1,48 @@
-# New ports collection makefile for:    scheme48
-# Date created:         25 Aug 1997
-# Whom:                 jmacd
-#
+# Created by: jmacd
 # $FreeBSD$
-#
 
 PORTNAME=	scheme48
-PORTVERSION=	1.8
+PORTVERSION=	1.9
 CATEGORIES=	lang scheme
 MASTER_SITES=	http://www.s48.org/${PORTVERSION}/
 EXTRACT_SUFX=	.tgz
 
-MAINTAINER=	ports@FreeBSD.org
+MAINTAINER=	lichray@gmail.com
 COMMENT=	The Scheme Underground's implementation of R5RS
 
-USE_GMAKE=	yes
+LICENSE=	BSD
 
-CONFLICTS=	scsh-*
+CONFLICTS=	scsh-[0-9]*
 
+ALL_TARGET=	enough
+USE_GMAKE=	yes
 GNU_CONFIGURE=	yes
-LDFLAGS+=	${PTHREAD_LIBS}
 
-ALL_TARGET=	enough
 MAN1=		scheme48.1
 
+.include <bsd.port.options.mk>
+
+PLIST_SUB+=	VER=${PORTVERSION}
+
+post-patch:
+	@${REINPLACE_CMD} \
+		-e 's/-mthreads/${PTHREAD_LIBS}/' \
+		-e 's/-mt/${PTHREAD_LIBS}/' \
+		-e 's/-munaligned-double//' \
+		${WRKSRC}/configure
+	@${REINPLACE_CMD} \
+		-e '/INSTALL.*COPYING/d' \
+		${WRKSRC}/Makefile.in
+.if ${PORT_OPTIONS:MDOCS}
+USE_TEX=        yes
+CONFIGURE_ARGS+=--docdir=${DOCSDIR}
+.else
+	@${REINPLACE_CMD} \
+		-e 's/install-doc$$//' \
+		-e 's/go doc$$/go/' \
+		${WRKSRC}/Makefile.in
+.endif
+
 test:
 	cd ${WRKSRC}; ${MAKE} check
 

Modified: head/lang/scheme48/distinfo
==============================================================================
--- head/lang/scheme48/distinfo	Wed Jun 19 23:51:05 2013	(r321342)
+++ head/lang/scheme48/distinfo	Thu Jun 20 00:59:21 2013	(r321343)
@@ -1,2 +1,2 @@
-SHA256 (scheme48-1.8.tgz) = 04a61ea28ef9d1f2f0e281fd6eb503f10afc94b0d3f34dbf376aedbe93eb1bb3
-SIZE (scheme48-1.8.tgz) = 3173151
+SHA256 (scheme48-1.9.tgz) = dcba91d150b7490e6170ef4fbd45a065ba0d8d6e228946379da0d1d7cba78267
+SIZE (scheme48-1.9.tgz) = 3945425

Modified: head/lang/scheme48/pkg-plist
==============================================================================
--- head/lang/scheme48/pkg-plist	Wed Jun 19 23:51:05 2013	(r321342)
+++ head/lang/scheme48/pkg-plist	Thu Jun 20 00:59:21 2013	(r321343)
@@ -8,212 +8,290 @@ include/scheme48.exp
 include/scheme48.h
 include/scheme48arch.h
 include/scheme48write-barrier.h
-lib/scheme48-1.8/posix.so
-lib/scheme48-1.8/scheme48.image
-lib/scheme48-1.8/scheme48vm
-lib/scheme48-1.8/srfi-27.so
-share/scheme48-1.8/big/array.scm
-share/scheme48-1.8/big/big-util.scm
-share/scheme48-1.8/big/callback.scm
-share/scheme48-1.8/big/check.scm
-share/scheme48-1.8/big/compact-table.scm
-share/scheme48-1.8/big/compose-cont.scm
-share/scheme48-1.8/big/defrecord.scm
-share/scheme48-1.8/big/destructure.scm
-share/scheme48-1.8/big/dump.scm
-share/scheme48-1.8/big/dynamic-external.scm
-share/scheme48-1.8/big/either.scm
-share/scheme48-1.8/big/enum-set.scm
-share/scheme48-1.8/big/filename.scm
-share/scheme48-1.8/big/finite-type.scm
-share/scheme48-1.8/big/format.scm
-share/scheme48-1.8/big/general-table.scm
-share/scheme48-1.8/big/hilbert.scm
-share/scheme48-1.8/big/import-def.scm
-share/scheme48-1.8/big/inversion-list-check.scm
-share/scheme48-1.8/big/inversion-list.scm
-share/scheme48-1.8/big/iterate.scm
-share/scheme48-1.8/big/linked-queue.scm
-share/scheme48-1.8/big/lock.scm
-share/scheme48-1.8/big/lu-decomp.scm
-share/scheme48-1.8/big/mask.scm
-share/scheme48-1.8/big/more-port.scm
-share/scheme48-1.8/big/mvlet.scm
-share/scheme48-1.8/big/pipe.scm
-share/scheme48-1.8/big/placeholder.scm
-share/scheme48-1.8/big/pp.scm
-share/scheme48-1.8/big/queue.scm
-share/scheme48-1.8/big/random.scm
-share/scheme48-1.8/big/receive.scm
-share/scheme48-1.8/big/reinitializer.scm
-share/scheme48-1.8/big/search-tree.scm
-share/scheme48-1.8/big/shared-object.scm
-share/scheme48-1.8/big/socket-check.scm
-share/scheme48-1.8/big/socket.scm
-share/scheme48-1.8/big/strong.scm
-share/scheme48-1.8/big/test-suite.scm
-share/scheme48-1.8/big/text-codec-util.scm
-share/scheme48-1.8/big/unicode-normalization-info.scm
-share/scheme48-1.8/big/unicode-normalization.scm
-share/scheme48-1.8/big/value-pipe.scm
-share/scheme48-1.8/big/vararg.scm
-share/scheme48-1.8/cml/async-channel.scm
-share/scheme48-1.8/cml/channel.scm
-share/scheme48-1.8/cml/cml-check.scm
-share/scheme48-1.8/cml/interfaces.scm
-share/scheme48-1.8/cml/jar.scm
-share/scheme48-1.8/cml/packages.scm
-share/scheme48-1.8/cml/placeholder.scm
-share/scheme48-1.8/cml/rendezvous.scm
-share/scheme48-1.8/cml/test-packages.scm
-share/scheme48-1.8/cml/time.scm
-share/scheme48-1.8/cml/trans-id.scm
-share/scheme48-1.8/env/assem.scm
-share/scheme48-1.8/env/basic-command.scm
-share/scheme48-1.8/env/build.scm
-share/scheme48-1.8/env/command-level.scm
-share/scheme48-1.8/env/command.scm
-share/scheme48-1.8/env/condition.scm
-share/scheme48-1.8/env/debug.scm
-share/scheme48-1.8/env/debuginfo.scm
-share/scheme48-1.8/env/disasm.scm
-share/scheme48-1.8/env/disclosers.scm
-share/scheme48-1.8/env/dispcond.scm
-share/scheme48-1.8/env/flatload.scm
-share/scheme48-1.8/env/init-defpackage.scm
-share/scheme48-1.8/env/inspect.scm
-share/scheme48-1.8/env/io-condition.scm
-share/scheme48-1.8/env/jar-assem.scm
-share/scheme48-1.8/env/list-interface.scm
-share/scheme48-1.8/env/load-package.scm
-share/scheme48-1.8/env/menu.scm
-share/scheme48-1.8/env/pacman.scm
-share/scheme48-1.8/env/parse-bytecode.scm
-share/scheme48-1.8/env/pedit.scm
-share/scheme48-1.8/env/profile.scm
-share/scheme48-1.8/env/read-command.scm
-share/scheme48-1.8/env/shadow.scm
-share/scheme48-1.8/env/signal.scm
-share/scheme48-1.8/env/space.scm
-share/scheme48-1.8/env/start.scm
-share/scheme48-1.8/env/traverse.scm
-share/scheme48-1.8/env/unicode-category.scm
-share/scheme48-1.8/env/unicode-charmap.scm
-share/scheme48-1.8/env/unicode-info.scm
-share/scheme48-1.8/env/user.scm
-share/scheme48-1.8/env/version-info.scm
-share/scheme48-1.8/link/data.scm
-share/scheme48-1.8/link/generate-c-header.scm
-share/scheme48-1.8/link/generate-old-c-header.scm
-share/scheme48-1.8/link/link.scm
-share/scheme48-1.8/link/loadc.scm
-share/scheme48-1.8/link/reify.scm
-share/scheme48-1.8/link/transport.scm
-share/scheme48-1.8/link/unicode-data-packages.scm
-share/scheme48-1.8/link/unicode-data.scm
-share/scheme48-1.8/link/write-image.scm
-share/scheme48-1.8/misc/annotate.scm
-share/scheme48-1.8/misc/doodl.scm
-share/scheme48-1.8/misc/engine.scm
-share/scheme48-1.8/misc/ilength.scm
-share/scheme48-1.8/misc/integertostring.scm
-share/scheme48-1.8/misc/load-static.scm
-share/scheme48-1.8/misc/mail.scm
-share/scheme48-1.8/misc/packages.scm
-share/scheme48-1.8/misc/pipe.scm
-share/scheme48-1.8/misc/psd-s48.scm
-share/scheme48-1.8/misc/remote.scm
-share/scheme48-1.8/misc/require.scm
-share/scheme48-1.8/misc/separate.scm
-share/scheme48-1.8/misc/shift-reset.scm
-share/scheme48-1.8/misc/sicp-check.scm
-share/scheme48-1.8/misc/sicp.scm
-share/scheme48-1.8/misc/static.scm
-share/scheme48-1.8/misc/test-doodl.scm
-share/scheme48-1.8/misc/test-packages.scm
-share/scheme48-1.8/opt/analyze.scm
-share/scheme48-1.8/opt/inline.scm
-share/scheme48-1.8/opt/sort.scm
-share/scheme48-1.8/opt/tst.scm
-share/scheme48-1.8/opt/usage.scm
-share/scheme48-1.8/posix/check.scm
-share/scheme48-1.8/posix/dir.scm
-share/scheme48-1.8/posix/file-options.scm
-share/scheme48-1.8/posix/func-regexp.scm
-share/scheme48-1.8/posix/io.scm
-share/scheme48-1.8/posix/packages.scm
-share/scheme48-1.8/posix/proc-env.scm
-share/scheme48-1.8/posix/proc.scm
-share/scheme48-1.8/posix/regexp-check.scm
-share/scheme48-1.8/posix/regexp.scm
-share/scheme48-1.8/posix/signal.scm
-share/scheme48-1.8/posix/test-packages.scm
-share/scheme48-1.8/rts/defenum.scm
-share/scheme48-1.8/rts/floatnum.scm
-share/scheme48-1.8/rts/innum.scm
-share/scheme48-1.8/rts/jar-defrecord.scm
-share/scheme48-1.8/rts/ratnum.scm
-share/scheme48-1.8/rts/recnum.scm
-share/scheme48-1.8/rts/xnum.scm
-share/scheme48-1.8/sort/check.scm
-share/scheme48-1.8/sort/delndups.scm
-share/scheme48-1.8/sort/interfaces.scm
-share/scheme48-1.8/sort/lmsort.scm
-share/scheme48-1.8/sort/packages.scm
-share/scheme48-1.8/sort/sort.scm
-share/scheme48-1.8/sort/sortp.scm
-share/scheme48-1.8/sort/test-packages.scm
-share/scheme48-1.8/sort/test.scm
-share/scheme48-1.8/sort/vbinsearch.scm
-share/scheme48-1.8/sort/vector-util.scm
-share/scheme48-1.8/sort/vhsort.scm
-share/scheme48-1.8/sort/visort.scm
-share/scheme48-1.8/sort/vmsort.scm
-share/scheme48-1.8/srfi/packages.scm
-share/scheme48-1.8/srfi/srfi-1.scm
-share/scheme48-1.8/srfi/srfi-11.scm
-share/scheme48-1.8/srfi/srfi-13-check.scm
-share/scheme48-1.8/srfi/srfi-13.scm
-share/scheme48-1.8/srfi/srfi-14-base-char-sets.scm
-share/scheme48-1.8/srfi/srfi-14-char-sets.scm
-share/scheme48-1.8/srfi/srfi-14-check.scm
-share/scheme48-1.8/srfi/srfi-14.scm
-share/scheme48-1.8/srfi/srfi-16.scm
-share/scheme48-1.8/srfi/srfi-17.scm
-share/scheme48-1.8/srfi/srfi-19-check.scm
-share/scheme48-1.8/srfi/srfi-19.scm
-share/scheme48-1.8/srfi/srfi-2.scm
-share/scheme48-1.8/srfi/srfi-25.scm
-share/scheme48-1.8/srfi/srfi-26.scm
-share/scheme48-1.8/srfi/srfi-27.scm
-share/scheme48-1.8/srfi/srfi-28.scm
-share/scheme48-1.8/srfi/srfi-37.scm
-share/scheme48-1.8/srfi/srfi-39.scm
-share/scheme48-1.8/srfi/srfi-4.scm
-share/scheme48-1.8/srfi/srfi-40.scm
-share/scheme48-1.8/srfi/srfi-42.scm
-share/scheme48-1.8/srfi/srfi-43.scm
-share/scheme48-1.8/srfi/srfi-45.scm
-share/scheme48-1.8/srfi/srfi-5.scm
-share/scheme48-1.8/srfi/srfi-60.scm
-share/scheme48-1.8/srfi/srfi-61.scm
-share/scheme48-1.8/srfi/srfi-63.scm
-share/scheme48-1.8/srfi/srfi-66.scm
-share/scheme48-1.8/srfi/srfi-67.scm
-share/scheme48-1.8/srfi/srfi-7.scm
-share/scheme48-1.8/srfi/srfi-71.scm
-share/scheme48-1.8/srfi/srfi-74.scm
-share/scheme48-1.8/srfi/srfi-78.scm
-share/scheme48-1.8/srfi/test-packages.scm
-@dirrm share/scheme48-1.8/srfi
-@dirrm share/scheme48-1.8/sort
-@dirrm share/scheme48-1.8/rts
-@dirrm share/scheme48-1.8/posix
-@dirrm share/scheme48-1.8/opt
-@dirrm share/scheme48-1.8/misc
-@dirrm share/scheme48-1.8/link
-@dirrm share/scheme48-1.8/env
-@dirrm share/scheme48-1.8/cml
-@dirrm share/scheme48-1.8/big
-@dirrm share/scheme48-1.8
-@dirrm lib/scheme48-1.8
+lib/scheme48-%%VER%%/ffi-test.so
+lib/scheme48-%%VER%%/posix.so
+lib/scheme48-%%VER%%/r6rs.so
+lib/scheme48-%%VER%%/scheme48.image
+lib/scheme48-%%VER%%/scheme48vm
+lib/scheme48-%%VER%%/srfi-27.so
+%%PORTDOCS%%%%DOCSDIR%%/manual-Z-G-D-1.gif
+%%PORTDOCS%%%%DOCSDIR%%/manual-Z-H-1.html
+%%PORTDOCS%%%%DOCSDIR%%/manual-Z-H-10.html
+%%PORTDOCS%%%%DOCSDIR%%/manual-Z-H-11.html
+%%PORTDOCS%%%%DOCSDIR%%/manual-Z-H-2.html
+%%PORTDOCS%%%%DOCSDIR%%/manual-Z-H-3.html
+%%PORTDOCS%%%%DOCSDIR%%/manual-Z-H-4.html
+%%PORTDOCS%%%%DOCSDIR%%/manual-Z-H-5.html
+%%PORTDOCS%%%%DOCSDIR%%/manual-Z-H-6.html
+%%PORTDOCS%%%%DOCSDIR%%/manual-Z-H-7.html
+%%PORTDOCS%%%%DOCSDIR%%/manual-Z-H-8.html
+%%PORTDOCS%%%%DOCSDIR%%/manual-Z-H-9.html
+%%PORTDOCS%%%%DOCSDIR%%/manual-Z-S.css
+%%PORTDOCS%%%%DOCSDIR%%/manual.html
+%%PORTDOCS%%%%DOCSDIR%%/manual.pdf
+%%PORTDOCS%%%%DOCSDIR%%/manual.ps
+%%PORTDOCS%%%%DOCSDIR%%/unicode-Z-G-1.gif
+%%DATADIR%%-%%VER%%/big/array.scm
+%%DATADIR%%-%%VER%%/big/big-util.scm
+%%DATADIR%%-%%VER%%/big/callback.scm
+%%DATADIR%%-%%VER%%/big/check.scm
+%%DATADIR%%-%%VER%%/big/compact-table.scm
+%%DATADIR%%-%%VER%%/big/compose-cont.scm
+%%DATADIR%%-%%VER%%/big/constant-table-check.scm
+%%DATADIR%%-%%VER%%/big/constant-table.scm
+%%DATADIR%%-%%VER%%/big/defrecord.scm
+%%DATADIR%%-%%VER%%/big/destructure.scm
+%%DATADIR%%-%%VER%%/big/dump.scm
+%%DATADIR%%-%%VER%%/big/dynamic-external.scm
+%%DATADIR%%-%%VER%%/big/either.scm
+%%DATADIR%%-%%VER%%/big/enum-set.scm
+%%DATADIR%%-%%VER%%/big/filename.scm
+%%DATADIR%%-%%VER%%/big/finite-type.scm
+%%DATADIR%%-%%VER%%/big/format.scm
+%%DATADIR%%-%%VER%%/big/general-table.scm
+%%DATADIR%%-%%VER%%/big/hilbert.scm
+%%DATADIR%%-%%VER%%/big/import-def.scm
+%%DATADIR%%-%%VER%%/big/inversion-list-check.scm
+%%DATADIR%%-%%VER%%/big/inversion-list.scm
+%%DATADIR%%-%%VER%%/big/iterate.scm
+%%DATADIR%%-%%VER%%/big/libscheme48.scm
+%%DATADIR%%-%%VER%%/big/linked-queue.scm
+%%DATADIR%%-%%VER%%/big/lock.scm
+%%DATADIR%%-%%VER%%/big/lu-decomp.scm
+%%DATADIR%%-%%VER%%/big/mask.scm
+%%DATADIR%%-%%VER%%/big/matcher-check.scm
+%%DATADIR%%-%%VER%%/big/matcher.scm
+%%DATADIR%%-%%VER%%/big/more-port.scm
+%%DATADIR%%-%%VER%%/big/mvlet.scm
+%%DATADIR%%-%%VER%%/big/os-time-check.scm
+%%DATADIR%%-%%VER%%/big/os-time.scm
+%%DATADIR%%-%%VER%%/big/pipe.scm
+%%DATADIR%%-%%VER%%/big/placeholder.scm
+%%DATADIR%%-%%VER%%/big/pp.scm
+%%DATADIR%%-%%VER%%/big/queue-check.scm
+%%DATADIR%%-%%VER%%/big/queue.scm
+%%DATADIR%%-%%VER%%/big/random.scm
+%%DATADIR%%-%%VER%%/big/reinitializer.scm
+%%DATADIR%%-%%VER%%/big/search-tree.scm
+%%DATADIR%%-%%VER%%/big/shared-object.scm
+%%DATADIR%%-%%VER%%/big/signal.scm
+%%DATADIR%%-%%VER%%/big/strong.scm
+%%DATADIR%%-%%VER%%/big/tconc-queue-check.scm
+%%DATADIR%%-%%VER%%/big/tconc-queue.scm
+%%DATADIR%%-%%VER%%/big/test-suite.scm
+%%DATADIR%%-%%VER%%/big/text-codec-util.scm
+%%DATADIR%%-%%VER%%/big/tlc-table-check.scm
+%%DATADIR%%-%%VER%%/big/tlc-table.scm
+%%DATADIR%%-%%VER%%/big/transport-link-cell-check.scm
+%%DATADIR%%-%%VER%%/big/unicode-normalization-info.scm
+%%DATADIR%%-%%VER%%/big/unicode-normalization.scm
+%%DATADIR%%-%%VER%%/big/value-pipe.scm
+%%DATADIR%%-%%VER%%/big/vararg.scm
+%%DATADIR%%-%%VER%%/cml/async-channel.scm
+%%DATADIR%%-%%VER%%/cml/channel.scm
+%%DATADIR%%-%%VER%%/cml/cml-check.scm
+%%DATADIR%%-%%VER%%/cml/interfaces.scm
+%%DATADIR%%-%%VER%%/cml/jar.scm
+%%DATADIR%%-%%VER%%/cml/packages.scm
+%%DATADIR%%-%%VER%%/cml/placeholder.scm
+%%DATADIR%%-%%VER%%/cml/rendezvous.scm
+%%DATADIR%%-%%VER%%/cml/test-packages.scm
+%%DATADIR%%-%%VER%%/cml/time.scm
+%%DATADIR%%-%%VER%%/cml/trans-id.scm
+%%DATADIR%%-%%VER%%/env/assem.scm
+%%DATADIR%%-%%VER%%/env/basic-command.scm
+%%DATADIR%%-%%VER%%/env/build.scm
+%%DATADIR%%-%%VER%%/env/command-level.scm
+%%DATADIR%%-%%VER%%/env/command.scm
+%%DATADIR%%-%%VER%%/env/debug.scm
+%%DATADIR%%-%%VER%%/env/debuginfo.scm
+%%DATADIR%%-%%VER%%/env/disasm.scm
+%%DATADIR%%-%%VER%%/env/disclosers.scm
+%%DATADIR%%-%%VER%%/env/dispcond.scm
+%%DATADIR%%-%%VER%%/env/flatload.scm
+%%DATADIR%%-%%VER%%/env/init-defpackage.scm
+%%DATADIR%%-%%VER%%/env/inspect.scm
+%%DATADIR%%-%%VER%%/env/jar-assem.scm
+%%DATADIR%%-%%VER%%/env/list-interface.scm
+%%DATADIR%%-%%VER%%/env/load-package.scm
+%%DATADIR%%-%%VER%%/env/menu.scm
+%%DATADIR%%-%%VER%%/env/package-mutation-check.scm
+%%DATADIR%%-%%VER%%/env/pacman.scm
+%%DATADIR%%-%%VER%%/env/parse-bytecode.scm
+%%DATADIR%%-%%VER%%/env/pedit.scm
+%%DATADIR%%-%%VER%%/env/profile-check.scm
+%%DATADIR%%-%%VER%%/env/profile-command.scm
+%%DATADIR%%-%%VER%%/env/profile-instr.scm
+%%DATADIR%%-%%VER%%/env/profile.scm
+%%DATADIR%%-%%VER%%/env/read-command.scm
+%%DATADIR%%-%%VER%%/env/shadow.scm
+%%DATADIR%%-%%VER%%/env/space.scm
+%%DATADIR%%-%%VER%%/env/start.scm
+%%DATADIR%%-%%VER%%/env/traverse.scm
+%%DATADIR%%-%%VER%%/env/unicode-category.scm
+%%DATADIR%%-%%VER%%/env/unicode-charmap.scm
+%%DATADIR%%-%%VER%%/env/unicode-info.scm
+%%DATADIR%%-%%VER%%/env/user.scm
+%%DATADIR%%-%%VER%%/env/version-info.scm
+%%DATADIR%%-%%VER%%/env/vm-exception.scm
+%%DATADIR%%-%%VER%%/link/data.scm
+%%DATADIR%%-%%VER%%/link/generate-c-header.scm
+%%DATADIR%%-%%VER%%/link/generate-old-c-header.scm
+%%DATADIR%%-%%VER%%/link/link.scm
+%%DATADIR%%-%%VER%%/link/loadc.scm
+%%DATADIR%%-%%VER%%/link/reify.scm
+%%DATADIR%%-%%VER%%/link/transport.scm
+%%DATADIR%%-%%VER%%/link/unicode-data-packages.scm
+%%DATADIR%%-%%VER%%/link/unicode-data.scm
+%%DATADIR%%-%%VER%%/link/write-image.scm
+%%DATADIR%%-%%VER%%/misc/annotate.scm
+%%DATADIR%%-%%VER%%/misc/doodl.scm
+%%DATADIR%%-%%VER%%/misc/engine.scm
+%%DATADIR%%-%%VER%%/misc/ilength.scm
+%%DATADIR%%-%%VER%%/misc/integertostring.scm
+%%DATADIR%%-%%VER%%/misc/load-static.scm
+%%DATADIR%%-%%VER%%/misc/mail.scm
+%%DATADIR%%-%%VER%%/misc/packages.scm
+%%DATADIR%%-%%VER%%/misc/pipe.scm
+%%DATADIR%%-%%VER%%/misc/psd-s48.scm
+%%DATADIR%%-%%VER%%/misc/remote.scm
+%%DATADIR%%-%%VER%%/misc/require.scm
+%%DATADIR%%-%%VER%%/misc/separate.scm
+%%DATADIR%%-%%VER%%/misc/shift-reset.scm
+%%DATADIR%%-%%VER%%/misc/sicp-check.scm
+%%DATADIR%%-%%VER%%/misc/sicp.scm
+%%DATADIR%%-%%VER%%/misc/static.scm
+%%DATADIR%%-%%VER%%/misc/test-doodl.scm
+%%DATADIR%%-%%VER%%/misc/test-packages.scm
+%%DATADIR%%-%%VER%%/net/address.scm
+%%DATADIR%%-%%VER%%/net/big-socket.scm
+%%DATADIR%%-%%VER%%/net/external-enum-type.scm
+%%DATADIR%%-%%VER%%/net/packages.scm
+%%DATADIR%%-%%VER%%/net/socket-check.scm
+%%DATADIR%%-%%VER%%/net/socket.scm
+%%DATADIR%%-%%VER%%/opt/analyze.scm
+%%DATADIR%%-%%VER%%/opt/inline.scm
+%%DATADIR%%-%%VER%%/opt/sort.scm
+%%DATADIR%%-%%VER%%/opt/tst.scm
+%%DATADIR%%-%%VER%%/opt/usage.scm
+%%DATADIR%%-%%VER%%/posix/check.scm
+%%DATADIR%%-%%VER%%/posix/dir.scm
+%%DATADIR%%-%%VER%%/posix/errno.scm
+%%DATADIR%%-%%VER%%/posix/file-options.scm
+%%DATADIR%%-%%VER%%/posix/func-regexp.scm
+%%DATADIR%%-%%VER%%/posix/io.scm
+%%DATADIR%%-%%VER%%/posix/packages.scm
+%%DATADIR%%-%%VER%%/posix/proc-env.scm
+%%DATADIR%%-%%VER%%/posix/proc.scm
+%%DATADIR%%-%%VER%%/posix/regexp-check.scm
+%%DATADIR%%-%%VER%%/posix/regexp.scm
+%%DATADIR%%-%%VER%%/posix/signal.scm
+%%DATADIR%%-%%VER%%/posix/syslog.scm
+%%DATADIR%%-%%VER%%/posix/test-packages.scm
+%%DATADIR%%-%%VER%%/posix/time.scm
+%%DATADIR%%-%%VER%%/r6rs/base-comparison.scm
+%%DATADIR%%-%%VER%%/r6rs/bitwise-check.scm
+%%DATADIR%%-%%VER%%/r6rs/bitwise.scm
+%%DATADIR%%-%%VER%%/r6rs/bytevector-check.scm
+%%DATADIR%%-%%VER%%/r6rs/bytevector-ieee-check.scm
+%%DATADIR%%-%%VER%%/r6rs/bytevector-ieee.scm
+%%DATADIR%%-%%VER%%/r6rs/bytevector-string-check.scm
+%%DATADIR%%-%%VER%%/r6rs/bytevector-string.scm
+%%DATADIR%%-%%VER%%/r6rs/bytevector.scm
+%%DATADIR%%-%%VER%%/r6rs/comparison-check.scm
+%%DATADIR%%-%%VER%%/r6rs/condition.scm
+%%DATADIR%%-%%VER%%/r6rs/control.scm
+%%DATADIR%%-%%VER%%/r6rs/enum-check.scm
+%%DATADIR%%-%%VER%%/r6rs/enum.scm
+%%DATADIR%%-%%VER%%/r6rs/equal.scm
+%%DATADIR%%-%%VER%%/r6rs/hashtable-check.scm
+%%DATADIR%%-%%VER%%/r6rs/hashtable.scm
+%%DATADIR%%-%%VER%%/r6rs/list-check.scm
+%%DATADIR%%-%%VER%%/r6rs/list.scm
+%%DATADIR%%-%%VER%%/r6rs/n-ary-comparison.scm
+%%DATADIR%%-%%VER%%/r6rs/packages.scm
+%%DATADIR%%-%%VER%%/r6rs/reader-check.scm
+%%DATADIR%%-%%VER%%/r6rs/reader-command.scm
+%%DATADIR%%-%%VER%%/r6rs/reader.scm
+%%DATADIR%%-%%VER%%/r6rs/record-command.scm
+%%DATADIR%%-%%VER%%/r6rs/record-procedural-check.scm
+%%DATADIR%%-%%VER%%/r6rs/record-procedural.scm
+%%DATADIR%%-%%VER%%/r6rs/record-syntactic-check.scm
+%%DATADIR%%-%%VER%%/r6rs/record-syntactic.scm
+%%DATADIR%%-%%VER%%/r6rs/test-packages.scm
+%%DATADIR%%-%%VER%%/r6rs/unicode-comparison.scm
+%%DATADIR%%-%%VER%%/rts/defenum.scm
+%%DATADIR%%-%%VER%%/rts/floatnum.scm
+%%DATADIR%%-%%VER%%/rts/innum.scm
+%%DATADIR%%-%%VER%%/rts/jar-defrecord.scm
+%%DATADIR%%-%%VER%%/rts/ratnum.scm
+%%DATADIR%%-%%VER%%/rts/recnum.scm
+%%DATADIR%%-%%VER%%/rts/xnum.scm
+%%DATADIR%%-%%VER%%/sort/check.scm
+%%DATADIR%%-%%VER%%/sort/delndups.scm
+%%DATADIR%%-%%VER%%/sort/interfaces.scm
+%%DATADIR%%-%%VER%%/sort/lmsort.scm
+%%DATADIR%%-%%VER%%/sort/packages.scm
+%%DATADIR%%-%%VER%%/sort/sort.scm
+%%DATADIR%%-%%VER%%/sort/sortp.scm
+%%DATADIR%%-%%VER%%/sort/test-packages.scm
+%%DATADIR%%-%%VER%%/sort/vbinsearch.scm
+%%DATADIR%%-%%VER%%/sort/vector-util.scm
+%%DATADIR%%-%%VER%%/sort/vhsort.scm
+%%DATADIR%%-%%VER%%/sort/visort.scm
+%%DATADIR%%-%%VER%%/sort/vmsort.scm
+%%DATADIR%%-%%VER%%/sort/vqsort2.scm
+%%DATADIR%%-%%VER%%/sort/vqsort3.scm
+%%DATADIR%%-%%VER%%/srfi/packages.scm
+%%DATADIR%%-%%VER%%/srfi/srfi-1.scm
+%%DATADIR%%-%%VER%%/srfi/srfi-11.scm
+%%DATADIR%%-%%VER%%/srfi/srfi-13-check.scm
+%%DATADIR%%-%%VER%%/srfi/srfi-13.scm
+%%DATADIR%%-%%VER%%/srfi/srfi-14-base-char-sets.scm
+%%DATADIR%%-%%VER%%/srfi/srfi-14-char-sets.scm
+%%DATADIR%%-%%VER%%/srfi/srfi-14-check.scm
+%%DATADIR%%-%%VER%%/srfi/srfi-14.scm
+%%DATADIR%%-%%VER%%/srfi/srfi-16.scm
+%%DATADIR%%-%%VER%%/srfi/srfi-17.scm
+%%DATADIR%%-%%VER%%/srfi/srfi-19-check.scm
+%%DATADIR%%-%%VER%%/srfi/srfi-19.scm
+%%DATADIR%%-%%VER%%/srfi/srfi-2.scm
+%%DATADIR%%-%%VER%%/srfi/srfi-25.scm
+%%DATADIR%%-%%VER%%/srfi/srfi-26.scm
+%%DATADIR%%-%%VER%%/srfi/srfi-27.scm
+%%DATADIR%%-%%VER%%/srfi/srfi-28.scm
+%%DATADIR%%-%%VER%%/srfi/srfi-37.scm
+%%DATADIR%%-%%VER%%/srfi/srfi-39.scm
+%%DATADIR%%-%%VER%%/srfi/srfi-4.scm
+%%DATADIR%%-%%VER%%/srfi/srfi-40.scm
+%%DATADIR%%-%%VER%%/srfi/srfi-42.scm
+%%DATADIR%%-%%VER%%/srfi/srfi-43.scm
+%%DATADIR%%-%%VER%%/srfi/srfi-45.scm
+%%DATADIR%%-%%VER%%/srfi/srfi-5.scm
+%%DATADIR%%-%%VER%%/srfi/srfi-60.scm
+%%DATADIR%%-%%VER%%/srfi/srfi-61.scm
+%%DATADIR%%-%%VER%%/srfi/srfi-63.scm
+%%DATADIR%%-%%VER%%/srfi/srfi-66.scm
+%%DATADIR%%-%%VER%%/srfi/srfi-67.scm
+%%DATADIR%%-%%VER%%/srfi/srfi-7.scm
+%%DATADIR%%-%%VER%%/srfi/srfi-71.scm
+%%DATADIR%%-%%VER%%/srfi/srfi-74.scm
+%%DATADIR%%-%%VER%%/srfi/srfi-78.scm
+%%DATADIR%%-%%VER%%/srfi/srfi-95-check.scm
+%%DATADIR%%-%%VER%%/srfi/srfi-95.scm
+%%DATADIR%%-%%VER%%/srfi/test-packages.scm
+%%PORTDOCS%%@dirrm %%DOCSDIR%%
+@dirrm %%DATADIR%%-%%VER%%/srfi
+@dirrm %%DATADIR%%-%%VER%%/sort
+@dirrm %%DATADIR%%-%%VER%%/rts
+@dirrm %%DATADIR%%-%%VER%%/r6rs
+@dirrm %%DATADIR%%-%%VER%%/posix
+@dirrm %%DATADIR%%-%%VER%%/opt
+@dirrm %%DATADIR%%-%%VER%%/net
+@dirrm %%DATADIR%%-%%VER%%/misc
+@dirrm %%DATADIR%%-%%VER%%/link
+@dirrm %%DATADIR%%-%%VER%%/env
+@dirrm %%DATADIR%%-%%VER%%/cml
+@dirrm %%DATADIR%%-%%VER%%/big
+@dirrm %%DATADIR%%-%%VER%%
+@dirrm lib/scheme48-%%VER%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Wen Heping freebsd_committer 2013-06-20 02:00:59 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!